=== debian/changelog ===
lxqt-plugin-wingmenu (0.0~git20250113.70b9b80-1ubuntu1) plucky; urgency=medium

  * Initial release. (LP: #2094848)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Mon, 13 Jan 2025 09:15:23 -0600
