=== debian/control ===
Source: lxqt-plugin-wingmenu
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Uploaders: Aaron Rainbolt <arraybolt3@ubuntu.com>
Section: misc
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libglib2.0-dev,
               libkf6windowsystem-dev (>> 6.0.0~),
               liblxqt-globalkeys2-dev (>> 2.0.0~),
               liblxqt-globalkeys-ui2-dev (>> 2.0.0~),
               liblxqt2-dev (>> 2.0.0~),
               libqt6xdg-dev (>> 4.0.0~),
               lxqt-build-tools (>> 2.0.0~),
               lxqt-panel (>> 2.0.0~),
               qt6-base-dev,
               qt6-tools-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/ArrayBolt3/lxqt-plugin-wingmenu
Vcs-Git: https://salsa.debian.org/ArrayBolt3/lxqt-plugin-wingmenu.git
Homepage: https://github.com/elviosak/plugin-wingmenu
Rules-Requires-Root: no

Package: lxqt-plugin-wingmenu
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Alternative menu plugin for lxqt-panel
 Wing Menu is an alternative menu plugin for lxqt-panel. It has two columns
 instead of the "classic menu" and was inspired by Xfce's Whisker Menu.
