=== debian/watch ===
version=4
opts="mode=git, \
uversionmangle=s/^v//" \
  https://github.com/elviosak/plugin-wingmenu.git HEAD
